View Issue Details

IDProjectCategoryView StatusLast Update
13157Bug reports[All Projects] Import/Exportpublic2018-01-15 10:33
ReportercookiemonsterAssigned Toolle 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary13157: Exporting results with active timings results in an SQL error
Description

Exporting results with active timings results in an SQL error
CDbCommand failed to execute the SQL statement: SQLSTATE[42S22]: Column not found: 1054 Unknown column 'survey_timings.interviewtime' in 'field list'

Steps To Reproduce

Try to export any survey results with active timings

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.0.1+171228
I will donate to the project if issue is resolvedNo
BrowserFirefox 57.0.4 (64-Bit)
Database & DB-Versionlibmysql - 5.5.54
Operating System (Server)Ubuntu
Webserver software & versionApache/2.4.7
PHP Version5.5.9

Activities

olle

olle

2018-01-12 11:57

administrator   ~45576

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=25989

c_schmitz

c_schmitz

2018-01-15 10:33

administrator   ~45606

Version 3.0.3 released.

Related Changesets

LimeSurvey: master 3f40d3ec

2018-01-12 11:56:53

olle

Details Diff
Fixed issue 13157: Exporting results with active timings results in an SQL error
mod - application/helpers/admin/export/SurveyDao.php Diff File

Issue History

Date Modified Username Field Change
2018-01-10 16:39 cookiemonster New Issue
2018-01-12 11:52 olle Assigned To => olle
2018-01-12 11:52 olle Status new => assigned
2018-01-12 11:54 olle Status assigned => confirmed
2018-01-12 11:57 olle Changeset attached => LimeSurvey master 3f40d3ec
2018-01-12 11:57 olle Note Added: 45576
2018-01-12 11:57 olle Resolution open => fixed
2018-01-12 11:57 olle Status confirmed => resolved
2018-01-12 11:57 olle Fixed in Version => 3.0.3
2018-01-15 10:33 c_schmitz Note Added: 45606
2018-01-15 10:33 c_schmitz Status resolved => closed